Subject: Re: git pull crash

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 11 Jul 2014 13:39:31 +0200

On 2014-07-11 12.49, Ronald Bos wrote:
> Hi all,
> 
> I am running git on Windows 8.1 (with all the latest updates installed), and it consequently crashes when I run "git pull" in my cloned working copy.
> 
> I attached a screen shot of the message window (it is in Dutch...)
> 
> This is my git version:
> $ git --version
> git version 1.9.4.msysgit.0
> 
> Is this a known problem? 
I don't know. It may that your repo is triggering a bug which has been fixed
on a later base-line, or it is unfixed because nobody had the very same problem yet.
>Is there something I can do to help find out what is causing the problem?
Try to send what the screen shot does in text, after translating it into english.
Not everybody understands Dutch (or wants to open attachments)

I can think about 2 different things:
- Back up the repo into which you want to pull into, so that the scanrio can be re-run under the same condition,
  But with a different version of msysGit.
- Download the source for msysGit from here: http://msysgit.github.io/
  Compile and test, if the bug is on the latest version, or if it is gone.
  (I remember that some crashes had been fixed, but not all the details)
And/or
- If the repo you try to pull from is public, can you give us the URL ?
  If yes then some helpful people may be able to re-produce it.
  If no, is there a dummy (or better say test) repo, which is public and causes git to crash ?

Anyway, I would suggest to compile and re-test with the latest version of msysGit,
and let us know the results.